coupang
GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/onlineInquiries2609170000

Customer Inquiry Query by Product

# 01

Summary

Customer Inquiry Query by Product

# 02

Details

Available buyer market: Korean, Taiwan

Look up Q&As between Customers and sellers. Sellers can use the API to look up consultations for products on sale.

You may set up to 7 days for the query period range.

Path

GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/onlineInquiries

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/onlineInquiries?inquiryStartAt=2019-06-25&inquiryEndAt=2019-06-26&vendorId=A00012345&answeredType=NOANSWER&pageSize=10&pageNum=1

URL API Name

GET_CUSTOMER_SERVICE_REQUEST
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
vendorId*string
Seller ID
# 04

Query parameters

NameTypeDescription
answeredType*string
Answer status
Name Status
ALL See all
ANSWERED Answered
NOANSWER Unanswered
inquiryStartAt*string
Query start date; Format: yyyy-MM-dd
You can query all consultations during the query period (inquiryEndAt - inquiryStartAt < = 7days).
inquiryEndAt*string
Query end date; Format: yyyy-MM-dd
pageNumnumber
Current page
Default: 1
pageSizenumber
Page size
Default: 10; Maximum: 50
# 05

Response body

Response message

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
dataobject
Query result
content
data.content
object[]
Result
inquiryId
data.content[].inquiryId
integer
Question Id
Question ID
productId
data.content[].productId
integer
Exposed product ID
sellerProductId
data.content[].sellerProductId
integer
Listed product ID
sellerItemId
data.content[].sellerItemId
integer
sellerItemId
vendorItemId
data.content[].vendorItemId
integer
Option ID
content
data.content[].content
string
Content of the question
inquiryAt
data.content[].inquiryAt
string
Query time (Requires ISO-8601 Compliance)

YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
orderIds
data.content[].orderIds
object[]
Order number
[16000009476673]
commentDtoList
data.content[].commentDtoList
object[]
Answer to the question
inquiryCommentId
data.content[].commentDtoList[].inquiryCommentId
integer
Reply ID
inquiryId
data.content[].commentDtoList[].inquiryId
integer
Question ID
content
data.content[].commentDtoList[].content
string
Content of the answer to the question
inquiryCommentAt
data.content[].commentDtoList[].inquiryCommentAt
string
Answered time (Requires ISO-8601 Compliance)

YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
pagination
data.pagination
object
Pagination information
currentPage
data.pagination.currentPage
integer
Current page
Default: 1
totalPages
data.pagination.totalPages
integer
Total number of page
totalElements
data.pagination.totalElements
integer
Total number of inquiry
countPerPage
data.pagination.countPerPage
integer
Total number of inquiry per page

Response Example

{
  "code": 200,
  "message": "OK",
  "data": {
    "content": [
      {
        "inquiryId": 39352323,
        "productId": 231526161,
        "sellerProductId": 786583589,
        "sellerItemId": 1891732488,
        "vendorItemId": 4855652221,
        "content": "포장 3천원 입금하였습니다.",
        "inquiryAt": "2025-01-15T14:17:13.973885-08:00",
        "orderIds": [
          19000041361951
        ],
        "commentDtoList": [
          {
            "inquiryCommentId": 36881065,
            "inquiryId": 39352323,
            "content": "고객님 안녕하세요. OOO 입니다. 입금확인되었고 포장하여 금일 출고하겠습니다. 감사합니다.",
            "inquiryCommentAt": "2025-01-15T14:17:13.973885-08:00"
          }
        ]
      },
      {
        "inquiryId": 39352273,
        "productId": 212844716,
        "sellerProductId": 718482283,
        "sellerItemId": 1699726710,
        "vendorItemId": 4675663991,
        "content": "스판이 강한가요?",
        "inquiryAt": "2025-01-15T14:17:13.973885-08:00",
        "orderIds": [],
        "commentDtoList": [
          {
            "inquiryCommentId": 36885408,
            "inquiryId": 39352273,
            "content": "고객님 안녕하세요. OOO 입니다. 문의주신 제품 스판이 좋은 제품이긴하오나 개개인마다 생각이 다르기 때문에 개인차 있습니다 . 구매시 참고 부탁드립니다 . 감사합니다.",
            "inquiryCommentAt": "2025-01-15T14:17:13.973885-08:00"
          }
        ]
      },
      {
        "inquiryId": 39352362,
        "productId": 130048576,
        "sellerProductId": 375487954,
        "sellerItemId": 910365921,
        "vendorItemId": 3929087307,
        "content": "언제도착입니까? 21일도착예정인데 준비중이고\r\n문의해도 답변없고 취소도 안되고\r\n환불해줘요",
        "inquiryAt": "2025-01-15T14:17:13.973885-08:00",
        "orderIds": [
          5000041411986
        ],
        "commentDtoList": [
          {
            "inquiryCommentId": 36885330,
            "inquiryId": 39352362,
            "content": "고객님 안녕하세요. OOO 입니다. 업체에서 확인되는 고객님 주문날짜는 6월24일이며 금일 출고요청된것으로 확인됩니다. 송장은 출고일 저녁 자동 등록되며 혹 구입일이 6월24일 이전일 경우 구매하신 쿠팡고객센터 1577-7011로 문의 부탁드립니다. 감사합니다. ",
            "inquiryCommentAt": "2025-01-15T14:17:13.973885-08:00"
          }
        ]
      }
    ],
    "pagination": {
      "currentPage": 6,
      "totalPages": 102,
      "totalElements": 304,
      "countPerPage": 3
    }
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

time interval needs to be less than or equal to 7 days, pattern should be yyyy-MM-dd

Make sure that the query period is 7 days or less.

400400 (Check Time Settings)

Read timed out

Reset the query period (1 day) and page size (10) and make a request again. In case of timeout due to heavy list data, increase the X-EXTENDED-TIMEOUT settings before making the request again. *Relevant FAQ

400400 (Check Request Parameter)

Invalid vendor ID

Make sure that the seller ID (vendorId) is correct.